package utils

import (
	"bytes"
	"io"
	"mime/multipart"

	log "github.com/sirupsen/logrus"
)

func FormFileToBytes(file *multipart.FileHeader) ([]byte, error) {
	f, err := file.Open()
	buf := bytes.NewBuffer(nil)

	if err != nil {
		log.Info("err001")
		return buf.Bytes(), err
	}

	defer f.Close()

	if _, err := io.Copy(buf, f); err != nil {
		log.Info("err002")
		return buf.Bytes(), err
	}

	return buf.Bytes(), nil
}
